import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.raw.ingoods.SpareInbound.sparePartsShelves',
})
export class wholeTransfer extends VuexModule {
  rowdata: any;
  WlList = [];
  Checklist: any = [];

  @MutationAction
  async queryLocation() {
    const result: any = await http.post(url.warehouse.wholeTransfer.getSpareMdLocation, {
      // factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    const WlList = result.data.map((_: any) => ({
      label: _.locationCode,
      value: _.locationCode,
    }));
    return { WlList };
  }
  orderNoItemList: any = [];
  productCodeList: any = [];
  @MutationAction
  async queryOrderNo(orderNo: any) {
    const result: any = await http.get(url.lanjumes.product.getInfoByRfid, {
      //loginName: session.loginName,
      params: {
        factoryCode: session.FactoryCode,
        rfid: orderNo,
      },
    });
    const orderNoItemList = result.data;
    return { orderNoItemList };
  }
  @MutationAction
  async queryhandChecklist() {
    const result: any = await http.get(url.lanjumes.product.queryhandChecklist, {
      //loginName: session.loginName,
      params: {
        factoryCode: session.FactoryCode,
        createBy: session.user?.createBy,
      },
    });
    const Checklist = result;
    console.log('this.tableData', Checklist);
    return { Checklist };
  }
  SubmitCode: any = '';
  @MutationAction
  async OnSubmit(params: any) {
    const result: any = await http.post(url.lanjumes.product.saveQcProCheck, params);
    const SubmitCode = result.code;
    return { SubmitCode };
  }
  @MutationAction
  async empty() {
    const orderNoItemList = [];
    return { orderNoItemList };
  }
}

export default getModule(wholeTransfer);
